Bug 117947 - The object position doesn’t return by “Undo”
Summary: The object position doesn’t return by “Undo”
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Anchor-and-Text-Wrap Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2018-06-01 04:55 UTC by Hidenori Ozaki
Modified: 2020-05-24 08:06 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample (8.32 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-06-01 04:59 UTC, Hidenori Ozaki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hidenori Ozaki 2018-06-01 04:55:21 UTC
Description:
After cells(column) is inserted, there is a phenomenon that the object position doesn’t return by “Undo”.This may be related to “Merge Cells” and “Anchor”.

Steps to Reproduce:
1.Open the attached file, "bug.ods".
2.An Anchor of a circle is seted to “To sell”.
3.Cells of A2 and B2 have been merged.
4.Select the B column.Select "Sheet" menu,"Insert Column", and "Column left".
5.You can see the circle moved right.
6.Click "Undo :Inset" . 

Actual Results:  
The position of the circle is not change.

Expected Results:
I hope the circle position should return. 


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Trident/7.0; rv:11.0) like Gecko
Comment 1 Hidenori Ozaki 2018-06-01 04:59:11 UTC
Created attachment 142465 [details]
Sample
Comment 2 Telesto 2018-06-01 13:21:38 UTC
Repro with
Version: 6.2.0.0.alpha0+
Build ID: 938ec2597be2e0ad3af2fb99f77de7f87285ad86
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-25_23:38:38
Locale: nl-NL (nl_NL); Calc: CL

and with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 3 Jean-Baptiste Faure 2018-06-03 10:56:39 UTC
Thank you for this bug report.

Reproducible with LibreOffice 6.1.0.0.beta1+ under Ubuntu 16.04
That is clearly related to the merged cell because if you split the merged cell, you get the expected behavior when undoing the column insert.

Set status to NEW.
Best regards. JBF
Comment 4 Xisco Faulí 2018-06-04 11:55:55 UTC
Also reproduced in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 5 Dr. Kiyoshi Ogawa 2018-06-28 05:24:35 UTC
Repro with
Version: 6.0.4.2
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU thread 4; OS: Mac OS X 10.12.6: UI render: default;
Locale: ja-JP (j_JP.UTF-8); Calc: CL

CPU :3GHz Intel Core i7 ; OS: macOS Sierra version 10.12.6 
Memory 16GB 1600MHz DDR3, Graphics Intel Iris 1536M
Comment 6 QA Administrators 2019-12-04 04:20:24 UTC Comment hidden (obsolete)
Comment 7 Jean-Baptiste Faure 2019-12-07 10:34:51 UTC
Still reproducible with LO 6.3.5.0+ and current master.

The bug is more visible if you insert a value in B10. 
Step 5 : the circle moved right in column E and the value in B10 move to C10
Step 6 : the circle does not move left (still in column E) and the value in C10 goes back to B10

Best regards. JBF